/*
 * @brief 该模块用于接收命令并执行命令, 然后将执行结果发送回发送着.
*/

#pragma once
#include "executor.hpp"
#include "defines.hpp"

class ExecutorRabbitmq: public Executor<ExecutorRabbitmq> {
    friend class SingletonIter<ExecutorRabbitmq>;
public:
    Error_manager connect() {
        return Error_code::SUCCESS;
    }

    ~ExecutorRabbitmq() override = default;
private:

protected:
    ExecutorRabbitmq() = default;

};





